summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..de950ef
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ # continue below
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ exit 0
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+update-alternatives --install /bin/ksh ksh /bin/ksh93 20 \
+ --slave /usr/bin/ksh usr.bin.ksh /bin/ksh93 \
+ --slave /usr/share/man/man1/ksh.1.gz ksh.1.gz \
+ /usr/share/man/man1/ksh93.1.gz
+
+add-shell /bin/ksh93
+
+exit 0